Bug 1156113 - undefined symbol: png_get_io_chunk_name when loading Img or img::png
Summary: undefined symbol: png_get_io_chunk_name when loading Img or img::png
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tkimg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1152077
TreeView+ depends on / blocked
 
Reported: 2014-10-23 15:13 UTC by Jaromír Cápík
Modified: 2016-02-01 02:00 UTC (History)
2 users (show)

Fixed In Version: tkimg-1.4-19.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-17 04:47:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jaromír Cápík 2014-10-23 15:13:13 UTC
Description of problem:
'img::png' and consequently also 'Img' are both failing with the following errors:

$ cat a.tcl 
package require img::png

$ cat b.tcl 
package require Img

$ tclsh a.tcl 
couldn't load file "/usr/lib64/tcl8.6/Img1.4/libpngtcl1.4.3.so": /usr/lib64/tcl8.6/Img1.4/libpngtcl1.4.3.so: undefined symbol: png_get_io_chunk_name
    while executing
"load /usr/lib64/tcl8.6/Img1.4/libpngtcl1.4.3.so"
    ("package ifneeded pngtcl 1.4.3" script)
    invoked from within
"load /usr/lib64/tcl8.6/Img1.4/libtkimgpng1.4.so"
    ("package ifneeded img::png 1.4" script)
    invoked from within
"package require img::png"
    (file "a.tcl" line 1)

$ tclsh b.tcl
couldn't load file "/usr/lib64/tcl8.6/Img1.4/libpngtcl1.4.3.so": /usr/lib64/tcl8.6/Img1.4/libpngtcl1.4.3.so: undefined symbol: png_get_io_chunk_name
    while executing
"load /usr/lib64/tcl8.6/Img1.4/libpngtcl1.4.3.so"
    ("package ifneeded pngtcl 1.4.3" script)
    invoked from within
"load /usr/lib64/tcl8.6/Img1.4/libtkimgpng1.4.so"
    ("package ifneeded img::png 1.4" script)
    invoked from within
"package require img::png"
    ("package ifneeded Img 1.4" script)
    invoked from within
"package require Img"
    (file "b.tcl" line 1)


Version-Release number of selected component (if applicable):
tkimg-1.4-18.fc22

How reproducible:
always

Comment 1 Fedora Update System 2014-11-03 21:06:30 UTC
tkimg-1.4-19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tkimg-1.4-19.fc21

Comment 2 Fedora Update System 2014-11-05 19:25:36 UTC
Package tkimg-1.4-19.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tkimg-1.4-19.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14329/tkimg-1.4-19.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-12-17 04:47:55 UTC
tkimg-1.4-19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.